:::: MENU ::::

ThemeEnginePluginのインストールで手こずった

Pocket

githubにBootstrap使用のTracテーマ上げてたんだけど、
最近プラグイン化してくれって要望が来てた。

なのでプラグイン化しようと思ったが、
そもそもベースとなるThemeEnginePluginが入らない!!

試験環境

OS:CentOS 6.3
Python:2.6.6
ThemeEnginePlugin:Revision 13714

コンパイル時にエラー

こんなエラーが出る。

$ mkdir ThemeEnginePlugin
$ svn co http://trac-hacks.org/svn/themeengineplugin/trunk/ ./ThemeEnginePlugin
$ cd ThemeEnginePlugin
$ python setup.py install
running install
running bdist_egg
running egg_info
creating TracThemeEngine.egg-info
writing requirements to TracThemeEngine.egg-info/requires.txt
writing TracThemeEngine.egg-info/PKG-INFO
writing top-level names to TracThemeEngine.egg-info/top_level.txt
writing dependency_links to TracThemeEngine.egg-info/dependency_links.txt
writing entry points to TracThemeEngine.egg-info/entry_points.txt
writing manifest file 'TracThemeEngine.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no previously-included files matching '*.pyc' found anywhere in distribution
warning: no previously-included files matching '*.swp' found anywhere in distribution
warning: no previously-included files matching '*.swo' found anywhere in distribution
warning: no previously-included files matching '*.mo' found anywhere in distribution
writing manifest file 'TracThemeEngine.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-x86_64/egg
running install_lib
running compile_catalog_js
error: you must specify either the input file or the base directory

python書けない人なので、ググるしか手はないのだが解決法は見当たらず……
0.11版はコンパイル通ったので入れてみたが、プラグインを有効にするとエラーに……

setuptoolsをアップグレードさせたり、easy_installでやってみたりしたがそれもダメ。

$ easy_install -U setuptools
$ easy_install http://trac-hacks.org/svn/themeengineplugin/trunk/

解決法

で、いろいろ別方法の入れ方を試してみたのだが、なぜかこれだけうまくいった!!

$ easy_install --always-unzip TracThemeEngine
Searching for TracThemeEngine
Reading https://pypi.python.org/simple/TracThemeEngine/
Best match: TracThemeEngine 2.2.1
Downloading https://sourceforge.net/projects/simelo/files/TracThemeEngine/TracThemeEngine-2.2.1.zip#md5=02aa027c212a287e19c65b7d6309454d
Processing TracThemeEngine-2.2.1.zip
Writing /tmp/easy_install-f4xWsV/TracThemeEngine-2.2.1/setup.cfg
Running TracThemeEngine-2.2.1/setup.py -q bdist_egg --dist-dir /tmp/easy_install-f4xWsV/TracThemeEngine-2.2.1/egg-dist-tmp-JgZaMO
warning: no previously-included files matching '*.pyc' found anywhere in distribution
warning: no previously-included files matching '*.swp' found anywhere in distribution
warning: no previously-included files matching '*.swo' found anywhere in distribution
zip_safe flag not set; analyzing archive contents...
Adding TracThemeEngine 2.2.1 to easy-install.pth file

Installed /usr/lib/python2.6/site-packages/TracThemeEngine-2.2.1-py2.6.egg
Processing dependencies for TracThemeEngine
Finished processing dependencies for TracThemeEngine

どうやら2.2.1なら大丈夫で、最新版の2.2.2だとエラーを起こすみたい。0.11版は2.0.1で論外。
うまく入らないって人は2.2.1を試してみてね♪

追記(2014/03/06)

不具合と修正方法をチケットに上げてくれたみたいで、修正されたみたいです。
報告してくださったjun66j5さんには感謝感謝♪

試してみましたが、最新版(2.2.2dev_r13718)では動作することを確認!

Pocket


2 Comments

So, what do you think ?